/** --------------------------------------------------------------------

   CARTE CONSEILS MUNICIPAUX
   
--------------------------------------------------------------------- */

.associations-carte .conseils-content.wpgb-scheme-dark .wpgb-card-body{
	background:#f4f4f4 !important;	
}

.conseils-content .home-publications-dl a{
	width:50px !important;
	height:50px !important;
}

.conseils-content .home-publications-dl a:before{
	width:24px !important;
	height:24px !important;
}


.conseils-content .associations-titre{
	margin-top:0 !important
}

.wpgb-facet-19 { /* Charger plus */
	text-align:center;
}




/** --------------------------------------------------------------------

   QUICK ACCESS ACCUEIL
   
--------------------------------------------------------------------- */

.acces-rapide a div:first-of-type{
	width:60%;
	height:60%;
	margin:auto;
	filter: invert(17%) sepia(88%) saturate(5054%) hue-rotate(332deg) brightness(92%) contrast(83%);
}


.wpgb-card-inner.acces-rapide, .wpgb-card-inner.acces-rapide .wpgb-card-body {
	background:none !important;
}

.acces-rapide h3 {
	text-decoration: none !important;
	text-transform: uppercase;
	font-size:0.9em !important;
	padding:0 5px !important;
	font-family:'SF UI Display Semi Bold', Arial, sans-serif !important;
	letter-spacing:0.025em;
	color:#1e1e31 !important
}

.acces-rapide:hover h3 {
	color:#d9205d !important
}


.et_pb_row.et_pb_row_0.home-quick-access {
background:#fff;	margin:0 auto; padding-left:0 !important; padding-right:0 !important
}
	

@media (min-width: 1292px) {
	.wpgb-prev-button, .wpgb-next-button, .wpgb-page-dots {
	display:none;
  }
}

.wpgb-prev-button {
	margin-left:-10px !important;
		color:#fff !important
}

.wpgb-next-button {
	margin-right:-10px !important;
	color:#fff !important
}

.wpgb-grid-13 .wpgb-page-dots {
	margin-top:40px !important;
}


/*
.acces-rapide:hover div {
filter: brightness(0) invert(1);
}
*/

/* Radial Out 
.acces-rapide {
  display: inline-block!important;
  vertical-align: middle!important;
  -webkit-transform: perspective(1px) translateZ(0)!important;
  transform: perspective(1px) translateZ(0)!important;
  box-shadow: 0 0 1px rgba(0, 0, 0, 0)!important;
  position: relative!important;
  overflow: hidden!important;
  -webkit-transition-property: color!important;
  transition-property: color!important;
  -webkit-transition-duration: 0.4s!important;
  transition-duration: 0.4s!important;
}
.acces-rapide:before {
  content: "" !important;
  position: absolute !important;
  z-index: -1 !important;
  top: 0 !important;
  left: 0 !important;
  right: 0 !important;
  bottom: 0 !important;
  background: #2098D1 !important;
  border-radius: 100%!important;
  -webkit-transform: scale(0) !important;
  transform: scale(0) !important;
  -webkit-transition-property: transform !important;
  transition-property: transform !important;
  -webkit-transition-duration: 0.4s !important;
  transition-duration: 0.4s !important;
  -webkit-transition-timing-function: ease-out !important;
  transition-timing-function: ease-out;
}
.acces-rapide:hover, .acces-rapide:focus, .acces-rapide:active {
  color: white !important;
}
.acces-rapide:hover:before, .acces-rapide:focus:before, .acces-rapide:active:before {
  -webkit-transform: scale(2) !important;
  transform: scale(2) !important;
}
*/


/** --------------------------------------------------------------------

   FORMULAIRE NEWSLETTER
   
--------------------------------------------------------------------- */

.sib-form, #sib-container, .sib-container, .sib-form:first-child {
    padding: 0 !important;
	background:none !important;
	max-width:100% !important;
	border:0 !important;
}

#sib-form p {
    font-family: 'SF UI Display Medium', Arial, sans-serif ;
		color:#000;
}

#sib-form a {
color:#0d4f92 !important;
}


#sib-form div:first-child {
    padding-top: 0 !important;
}

#sib-form #EMAIL {
	border:2px solid #bbb
}

#sib-container input::placeholder{
color:#fff !important;	
}

.sib-form .entry__choice {
    line-height: 1em;
    text-align: left !important;
}

.sib-form .entry__choice p {
  font-size:1.2em !important
}


.sib-form .entry__specification {
    line-height: 1.5em;
    max-width: 100% !important;
	font-size:1em !important;
	color:#444 !important;
	font-style:italic;
	   font-family: 'SF UI Display Medium', Arial, sans-serif !important;
}

.sib-form .sib-form-block {
    text-align: center !important;
}

.sib-form__declaration p{ 
	margin: 20px 0!important;
font-size:1.1em !important
}

.entry__error--primary, .sib-form-message-panel.sib-form-message-panel--active {
    max-width: 100% !important;
    text-align: center !important;
    font-weight: bold;
    letter-spacing: 0.1em !important;
    line-height: 1.3em !important;
    border: none;
    background: none !important;
	margin-top:10px !important;
}

.entry__error--primary {
	color:#cc0000 !important;
}



.entry__label {
	font-family:'SF UI Display Bold', Arial, sans-serif !important;
	text-align: center !important;
	max-width:100% !important;
		color:#000 !important;
	font-size:1.2em !important
}

.sib-form-block__button {
font-size:1em;
	font-family:'SF UI Display Semi Bold', Arial, sans-serif !important;
	padding:16px 40px !important;
	background:#1265b9 !important;
	border:0 !important;
	color:#FFF !important;
	margin-top:20px !important;
		transition: background-color 0.2s ease !important;
	letter-spacing:0.04em;
}

.sib-form-block__button::before {
content: '';
    display: inline-block;
    vertical-align: middle;
    width: 20px;
    height: 20px;
    margin-right: 16px;
    margin-top: -2px;
    background-size: contain;
    background-repeat: no-repeat;
	background-image: url('/wp-content/themes/Divi-Child/img/ico/newsletter.svg') !important;
	filter: invert(100%) sepia(100%) saturate(0%) hue-rotate(74deg) brightness(103%) contrast(101%);
}

.sib-form-block__button:hover::before  {
filter: invert(8%) sepia(9%) saturate(3724%) hue-rotate(204deg) brightness(95%) contrast(88%) !important;
}

.sib-form-block__button:hover  {
background:#b8d0e9 !important;
	color:#1f1e31 !important;
	transition: background-color 0.2s ease !important;
}

.entry__error.entry__error--primary {
		font-family:'SF UI Display Bold', Arial, sans-serif !important;
	font-size:1.1em !important;
}







/** --------------------------------------------------------------------

   TABLEAU DONNEES PERSONNELLES
   
--------------------------------------------------------------------- */

.table-container {
  overflow-x: auto;
}

.table-container table {
  width: 100%;
  border-collapse: collapse;
  table-layout: fixed;
}

.table-container th, .table-container td {
  border: 1px solid #ddd;
  padding: 12px;
  text-align: left;
  word-wrap: break-word;
}

.table-container th {
  background-color: #4CAF50;
  color: white;
}

/* Alternating row colors for desktop view */
.table-container tr:nth-child(even) {
  background-color: #f2f2f2;
}

.table-container tr:nth-child(odd) {
  background-color: #ffffff;
}

/* Responsive design */
@media screen and (max-width: 768px) {
  .table-container table, .table-container thead, .table-container tbody, .table-container th, .table-container td, .table-container tr {
    display: block;
  }

  .table-container thead tr {
    position: absolute;
    top: -9999px;
    left: -9999px;
  }

  .table-container tr {
    margin-bottom: 15px;
    border: 1px solid #ccc;
  }

  .table-container td {
    border: none;
    border-bottom: 1px solid #eee;
    position: relative;
    padding-left: 50%;
    min-height: 30px;
  }

  .table-container td:before {
    content: attr(data-label);
    position: absolute;
    left: 6px;
    width: 45%;
    padding-right: 10px;
    white-space: nowrap;
    font-weight: bold;
    background-color: inherit; /* Inherit the background color of parent */
    color: inherit; /* Inherit text color */
  }

  /* Alternating row colors for responsive view */
  .table-container tr:nth-child(4n-3), .table-container tr:nth-child(4n-2) {
    background-color: #f2f2f2;
  }

  .table-container tr:nth-child(4n-1), .table-container tr:nth-child(4n) {
    background-color: #ffffff;
  }
}

/* Small adjustments for very small screens */
@media screen and (max-width: 480px) {
  .table-container td {
    padding-left: 5px;
    padding-top: 25px;
  }

  .table-container td:before {
    top: 5px;
    width: 100%;
    display: block;
    margin-bottom: 5px;
  }
}



/** --------------------------------------------------------------------

  HOME
   
--------------------------------------------------------------------- */

/* BOUTONS */

.align-center {
    display: flex;
    justify-content: center; 
	margin-top:40px
}

.home-bt-actus,  .home-bt-agenda, .home-bt-publications {
	text-transform: uppercase;
font-family: 'SF UI Display Bold', Arial, sans-serif;
	font-size:0.85em;
	background:#1265b9;
	color:#fff;
	letter-spacing:0.07em;
	line-height:1.4em;
	padding:16px 16px 16px 24px;
		transition: background 0.3s linear !important;
}



.home-bt-actus::after, .home-bt-agenda::after, .home-bt-publications::after {
	content: '';
	background-size: contain;
	background-repeat: no-repeat;
	display: inline-block; /* Permet de positionner l'icône en ligne */
	vertical-align: middle; /* Aligne l'icône avec le texte */
	background-image: url('/wp-content/themes/Divi-Child/img/ico/arrow-right.svg');
	width: 26px; /* Ajustez la taille selon vos besoins */
	height: 26px;
	margin-left: 15px; /* Espace entre le texte et l'icône */
	margin-top: -2px;
	filter: invert(98%) sepia(0%) saturate(0%) hue-rotate(338deg) brightness(101%) contrast(104%);
	transition: background 0.3s linear !important;
	padding-right:10px !important;
}

.home-bt-actus:hover::after, .home-bt-agenda:hover::after, .home-bt-publications:hover::after  {
	background-position: 6px !important;
	filter: brightness(0) saturate(100%) invert(7%) sepia(5%) saturate(7314%) hue-rotate(204deg) brightness(100%) contrast(88%);
}

.home-bt-actus:hover, .home-bt-agenda:hover, .home-bt-publications:hover  {
	background-color: #b8d0e9 !important; 
	transition: background-color 0.2s ease !important;
	color:#1e1e31;
}



.home-section h2 {
  position: relative;
  font-family: 'SF UI Display Heavy', Arial, sans-serif;
  font-weight: 800; 
  font-size: 4.5em;
  display: inline-block; /* Modifier en inline-block pour que le pseudo-élément s'étende correctement */
  text-transform: uppercase; 
  line-height: 0.8em;
  color: #000;
  margin-bottom: 60px !important;
  margin-top: 20px;
  z-index: 2;
	padding:40px 0px 40px 10px;
	word-break:  break-word;
}

.home-section h2.home-title-publication{
	word-break:  break-word;
}

.home-section h2.home-title-publication .thin{
	word-break: normal;
}

.home-section h2::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%; /* Ajuster la largeur pour couvrir l'élément */
  height: 100%; /* Ajuster la hauteur pour couvrir l'élément */
  background: url(/wp-content/themes/Divi-Child/img/ico/forme-abstraite.svg) no-repeat;
  background-size: contain; /* Assurez-vous que l'image entière est visible */
  opacity: 0.6; 
  z-index: -1; /* Le mettre en arrière-plan */
}

.home-section h2 .thin{
font-family: 'SF UI Display Light', Arial, sans-serif;
margin-right:5px;
display:block;
font-size:0.6em ;
}



/** --------------------------------------------------------------------

  SIDEBAR DERNIERS ARTICLES
   
--------------------------------------------------------------------- */

.recent-posts-sidebar {
    display: flex;
    flex-direction: column;
    background: #fff;
    padding: 0 20px;
    border-radius: 8px;
	overflow: hidden;border:1px solid #ccc
}

.recent-post-item {
    display: flex;
    align-items: flex-start;
    margin-bottom: 0px;
    position: relative;
    width: calc(100% + 40px); /* Étend l'élément pour couvrir toute la largeur du conteneur */
    margin-left: -20px; /* Aligne l'élément pour toucher les bords du conteneur */
    padding: 20px; /* Ajoute le padding interne */
    transition: background-color 0.3s ease; /* Transition douce pour l'effet de fond */
	
}


.recent-post-item::after {
    content: "";
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 1px;
    background-color: #ccc; /* Ligne horizontale */
}

.recent-post-item:last-child {
    margin-bottom: 0; /* Pas de marge inférieure pour le dernier élément */
}

.recent-post-item:last-child::after {
    display: none; /* Pas de ligne de séparation pour le dernier élément */
}

.thumbnail {
    width: 90px;
    height: 90px;
    margin-right: 14px;
    flex-shrink: 0;
    position: relative;
}

.recent-post-thumbnail {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 6px;
}

.post-details {
    display: flex;
    flex-direction: column;
    align-items: flex-start; /* Alignement à gauche */
}

.post-themes {
	font-size:0.85em;
	background:#e4ecf4;
	border-radius:3px; 
	line-height:1em;
	padding:4px 8px;
	color: #1265b9
}

.post-title {
	text-transform:uppercase;
	font-size:0.85em;
	color:#000;
	font-family: 'SF UI Display Bold', Arial, sans-serif;
}

.post-title:hover {
	color:#333;
}

.post-details a {
    line-height: 1.1;
	margin-top:5px
}
.post-details a:hover {
color:#fff !important
}

.post-date {
    color: #444;
	font-size:0.85em;
}

/** --------------------------------------------------------------------

  PAGES ACCESSIBILITE
   
--------------------------------------------------------------------- */


.accessibilite-button{
	color:#fff !important;
	text-transform:uppercase;
	font-size:0.85em !important;
	letter-spacing: 0.10em;
	display: inline-block;
	padding: 14px !important;
	background-color: #000;
	border-radius: 4px;
	text-align: center;
	cursor: pointer;
	transition: background-color 0.3s ease !important;
	border-bottom: 0 !important;
}


.accessibilite-button::after {
	content: '';
	background-size: contain;
	background-repeat: no-repeat;
	display: inline-block; /* Permet de positionner l'icône en ligne */
	vertical-align: middle; /* Aligne l'icône avec le texte */
	background-image: url('/wp-content/themes/Divi-Child/img/ico/arrow-right.svg');
	width: 30px; /* Ajustez la taille selon vos besoins */
	height: 16px;
	margin-left: 12px; /* Espace entre le texte et l'icône */
	margin-top: -2px;
filter: invert(100%) sepia(13%) saturate(0%) hue-rotate(324deg) brightness(107%) contrast(108%) !important;
	transition: background 0.2s linear !important;
	padding-right:10px !important;
}

.accessibilite-button:hover {
	transition: background-color 0.3s ease !important;
	color:#fff;
	background:#444;
}

.accessibilite-button:hover::after {
	background-position: 10px !important;
}






